blue piranha February 2016

Bootstrap on IE9

We have some machines which are still running IE 9 and we cannot install newer version of IE because of compatibility issues with some old softwares.

I have built an asp.net web app which is using Bootstrap css.

To make it compatible with IE9 browser, I have put

 <meta http-equiv="X-UA-Compatible" content="IE=EmulateIE9" />

However, this is causing some of the javascript functions not to function properly. Unfortunately, console in Developer tools is empty and so I am not able to figure out the real problem.

The web app works absolutely fine on Chrome and Firefox.

Please let me know if someone has faced similar problem and a resolution.

Thank you

Answers


Mike Ramsey February 2016

You'll want to include shiv's for html5 and respond.js in your html. download the following and save locally. html5Shiv.js respond.js Then in your html you'll want to add the following after your CSS imports. "update the src path to where you save your files to"

<!--[if lt IE 9]>
 <script src="/js/html5shiv.js" type="text/javascript"></script>
 <script src="/js/respond.min.js" type="text/javascript"></script>
<![endif]-->

Post Status

Asked in February 2016
Viewed 1,318 times
Voted 11
Answered 1 times

Search




Leave an answer